import type { BackstackEntry } from '.';
import type { AndroidFrame as Frame } from '.';
export declare const FRAMEID = "_frameId";
export declare const CALLBACKS = "_callbacks";
export declare const framesCache: WeakRef<any>[];
export interface AndroidFragmentCallbacks {
    onHiddenChanged(fragment: any, hidden: boolean, superFunc: Function): void;
    onCreateAnimator(fragment: any, transit: number, enter: boolean, nextAnim: number, superFunc: Function): any;
    onCreate(fragment: any, savedInstanceState: any, superFunc: Function): void;
    onCreateView(fragment: any, inflater: any, container: any, savedInstanceState: any, superFunc: Function): any;
    onSaveInstanceState(fragment: any, outState: any, superFunc: Function): void;
    onDestroyView(fragment: any, superFunc: Function): void;
    onDestroy(fragment: any, superFunc: Function): void;
    onPause(fragment: any, superFunc: Function): void;
    onResume(fragment: any, superFunc: Function): void;
    onStop(fragment: any, superFunc: Function): void;
    toStringOverride(fragment: any, superFunc: Function): string;
}
export declare class FragmentCallbacksImplementation implements AndroidFragmentCallbacks {
    frame: Frame;
    entry: BackstackEntry;
    private backgroundBitmap;
    onHiddenChanged(fragment: androidx.fragment.app.Fragment, hidden: boolean, superFunc: Function): void;
    onCreateAnimator(fragment: androidx.fragment.app.Fragment, transit: number, enter: boolean, nextAnim: number, superFunc: Function): android.animation.Animator;
    onCreate(fragment: androidx.fragment.app.Fragment, savedInstanceState: android.os.Bundle, superFunc: Function): void;
    onCreateView(fragment: androidx.fragment.app.Fragment, inflater: android.view.LayoutInflater, container: android.view.ViewGroup, savedInstanceState: android.os.Bundle, superFunc: Function): android.view.View;
    onSaveInstanceState(fragment: androidx.fragment.app.Fragment, outState: android.os.Bundle, superFunc: Function): void;
    onDestroyView(fragment: org.nativescript.widgets.FragmentBase, superFunc: Function): void;
    onDestroy(fragment: androidx.fragment.app.Fragment, superFunc: Function): void;
    onPause(fragment: org.nativescript.widgets.FragmentBase, superFunc: Function): void;
    onResume(fragment: org.nativescript.widgets.FragmentBase, superFunc: Function): void;
    onStop(fragment: androidx.fragment.app.Fragment, superFunc: Function): void;
    toStringOverride(fragment: androidx.fragment.app.Fragment, superFunc: Function): string;
    private loadBitmapFromView;
}
export declare function getFrameByNumberId(frameId: number): Frame;
export declare function setFragmentCallbacks(fragment: androidx.fragment.app.Fragment): void;
